#Instruction to build my frontend. (multi-stage build)

FROM node:14-alpine AS base

WORKDIR /frontend

COPY /todo-list-todoapp/package*.json /frontend

RUN npm install

COPY /todo-list-todoapp /frontend

RUN npm run build


FROM node:14-slim AS production

WORKDIR /frontend

RUN apt-get update && apt-get install curl -y

COPY --from=base /frontend .

EXPOSE 3000

CMD [ "npm", "start" ]

